package com.bcxin.ars.dto.task;

import com.fasterxml.jackson.annotation.JsonIgnore;


public class FeedBackDetailDto {

	private Long feedbackid;
	
	/**班次id*/
	private Long scheduleId;
	
	/**班次名*/
	private String scheduleName;
	
	/**任务开始时间*/
	private String taskStart;
	
	/**任务结束时间*/
	private String taskEnd;
	
	/**开始执行时间*/
	private String startTime;
	
	/**结束执行时间*/
	private String endTime;
	
	/**签到状态*/
	private String signStatus;//1正常，2不正常 迟到

	/**反馈状态*/
	private String feedbackStatus;//1正常，2不正常 早退
	
	/**提示 */
	private String tip;
	
	/** 反馈*/
	private String comment;
	
	/**班次状态(非数据库字段)*/
	private String scheduleStatus;//1未开始,2可签到,3可下班,4已完成,5缺岗
	
	/**任务日期详情(非数据库字段)*/
	private String taskDateInfo;
	
	/**
	 * 值班状态
	 */
	private String dutyState;//1正常2离岗3下班
	
	/**
	 * 下班倒计时
	 */
	private String countDown;
	
	@JsonIgnore
	private Long taskStatus;
	
	public Long getFeedbackid() {
		return feedbackid;
	}

	public void setFeedbackid(Long feedbackid) {
		this.feedbackid = feedbackid;
	}

	public String getScheduleName() {
		return scheduleName;
	}

	public void setScheduleName(String scheduleName) {
		this.scheduleName = scheduleName;
	}

	public String getTaskStart() {
		return taskStart;
	}

	public void setTaskStart(String taskStart) {
		this.taskStart = taskStart;
	}

	public String getTaskEnd() {
		return taskEnd;
	}

	public void setTaskEnd(String taskEnd) {
		this.taskEnd = taskEnd;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getSignStatus() {
		return signStatus;
	}

	public void setSignStatus(String signStatus) {
		this.signStatus = signStatus;
	}

	public String getFeedbackStatus() {
		return feedbackStatus;
	}

	public void setFeedbackStatus(String feedbackStatus) {
		this.feedbackStatus = feedbackStatus;
	}

	public String getTip() {
		return tip;
	}

	public void setTip(String tip) {
		this.tip = tip;
	}

	public Long getScheduleId() {
		return scheduleId;
	}

	public void setScheduleId(Long scheduleId) {
		this.scheduleId = scheduleId;
	}

	public Long getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(Long taskStatus) {
		this.taskStatus = taskStatus;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getScheduleStatus() {
		return scheduleStatus;
	}

	public void setScheduleStatus(String scheduleStatus) {
		this.scheduleStatus = scheduleStatus;
	}

	public String getTaskDateInfo() {
		return taskDateInfo;
	}

	public void setTaskDateInfo(String taskDateInfo) {
		this.taskDateInfo = taskDateInfo;
	}

	public String getDutyState() {
		return dutyState;
	}

	public void setDutyState(String dutyState) {
		this.dutyState = dutyState;
	}

	public String getCountDown() {
		return countDown;
	}

	public void setCountDown(String countDown) {
		this.countDown = countDown;
	}
	
}
